## neutron-tempest-plugin 0.2.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
neutron-lib>=1.18.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
ipaddress>=1.0.17;python_version<'3.3' # PSF
netaddr>=0.7.18 # BSD
oslo.log>=3.36.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
six>=1.10.0 # MIT
tempest>=17.1.0 # Apache-2.0
ddt>=1.0.1 # MIT
testtools>=2.2.0 # MIT
testscenarios>=0.4 # Apache-2.0/BSD
eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT

=== debian/changelog ===
neutron-tempest-plugin (0.2.0-1) unstable; urgency=low

  * Initial packaging (Closes: #907694).

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 May 2018 10:59:14 +0200

=== debian/control ===
Source: neutron-tempest-plugin
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 75~),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
Build-Depends-Indep:
 python3-ddt,
 python3-eventlet,
 python3-netaddr (>= 0.7.18),
 python3-neutron-lib (>= 1.18.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-pbr (>= 2.0.0),
 python3-six,
 python3-stestr,
 python3-tempest (>= 17.1.0),
 python3-testscenarios,
 python3-testtools (>= 2.2.0),
 subunit,
Standards-Version: 4.2.0
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/neutron-tempest-plugin
Vcs-Git: https://salsa.debian.org/openstack-team/libs/neutron-tempest-plugin.git
Homepage: https://github.com/openstack/neutron-tempest-plugin

Package: python3-neutron-tempest-plugin
Architecture: all
Section: python
Depends:
 python3-ddt,
 python3-eventlet,
 python3-netaddr (>= 0.7.18),
 python3-neutron-lib (>= 1.18.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-six,
 python3-tempest (>= 17.1.0),
 python3-testscenarios,
 python3-testtools (>= 2.2.0),
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python3:Provides},
Description: OpenStack Integration Test Suite - Neutron plugin
 Tempest is a set of integration tests to be run against a live Openstack
 cluster in order to make sure that all components are working as expected.
 Tempest will start and stop virtual machine in order to check that your
 cloud is working as expected.
 .
 This package contains the OpenStack networking (aka: Neutron) plugin.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_build:
	echo "Do nothing..."

override_dh_install:
	pkgos-dh_auto_install --no-py2
	dh_install
	dh_missing --fail-missing

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/neutron-tempest-plugin/tags .*/(\d[\d\.]+)\.tar\.gz

## neutron-tempest-plugin 1.1.0

=== debian/changelog ===
neutron-tempest-plugin (1.1.0-2) unstable; urgency=medium

  * Add Breaks+Replaces: python3-neutron-tempest-plugin (Closes: #966046).

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Jul 2020 16:08:40 +0200

neutron-tempest-plugin (1.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Move the package to the tempest subgroup on Salsa.

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Jun 2020 11:10:40 +0200

=== debian/control ===
Source: neutron-tempest-plugin
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools (>= 109~),
 python3-all,
 python3-pbr,
 python3-setuptools,
Build-Depends-Indep:
 python3-coverage,
 python3-ddt,
 python3-debtcollector,
 python3-eventlet,
 python3-hacking,
 python3-netaddr,
 python3-neutron-lib (>= 1.25.0),
 python3-os-ken,
 python3-oslo.config,
 python3-oslo.log,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslotest,
 python3-paramiko,
 python3-six,
 python3-stestr,
 python3-tenacity,
 python3-testscenarios,
 python3-testtools,
 subunit,
 tempest,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/openstack-team/tempest/neutron-tempest-plugin
Vcs-Git: https://salsa.debian.org/openstack-team/tempest/neutron-tempest-plugin.git
Homepage: https://opendev.org/openstack/neutron-tempest-plugin

Package: neutron-tempest-plugin
Architecture: all
Depends:
 python3-ddt,
 python3-debtcollector,
 python3-eventlet,
 python3-netaddr,
 python3-neutron-lib (>= 1.25.0),
 python3-os-ken,
 python3-oslo.config,
 python3-oslo.log,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-paramiko,
 python3-pbr,
 python3-six,
 python3-tenacity,
 python3-testscenarios,
 python3-testtools,
 tempest,
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python3:Provides},
Breaks:
 python3-neutron-tempest-plugin,
Replaces:
 python3-neutron-tempest-plugin,
Description: OpenStack Integration Test Suite - Neutron plugin
 Tempest is a set of integration tests to be run against a live Openstack
 cluster in order to make sure that all components are working as expected.
 Tempest will start and stop virtual machine in order to check that your
 cloud is working as expected.
 .
 This package contains the Neutron plugin.

## neutron-tempest-plugin 1.2.0

=== requirements.txt ===
--- 
+++ 
@@ -3,16 +3,20 @@
 # process, which may cause wedges in the gate later.
 
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
-neutron-lib>=1.18.0 # Apache-2.0
+neutron-lib>=1.25.0 # Apache-2.0
 oslo.config>=5.2.0 # Apache-2.0
-ipaddress>=1.0.17;python_version<'3.3' # PSF
 netaddr>=0.7.18 # BSD
+os-ken>=0.3.0 # Apache-2.0
 oslo.log>=3.36.0 # Apache-2.0
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
+paramiko>=2.0.0 # LGPLv2.1+
 six>=1.10.0 # MIT
 tempest>=17.1.0 # Apache-2.0
+tenacity>=3.2.1 # Apache-2.0
 ddt>=1.0.1 # MIT
+nose>=1.3.7 # LGPL
 testtools>=2.2.0 # MIT
 testscenarios>=0.4 # Apache-2.0/BSD
 eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
+debtcollector>=1.2.0 # Apache-2.0

=== debian/changelog ===
neutron-tempest-plugin (1.2.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Oct 2020 15:37:20 +0200

neutron-tempest-plugin (1.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Add nose as (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 05 Oct 2020 14:44:20 +0200

=== debian/control ===
--- 
+++ 
@@ -19,6 +19,7 @@
  python3-hacking,
  python3-netaddr,
  python3-neutron-lib (>= 1.25.0),
+ python3-nose,
  python3-os-ken,
  python3-oslo.config,
  python3-oslo.log,
@@ -46,6 +47,7 @@
  python3-eventlet,
  python3-netaddr,
  python3-neutron-lib (>= 1.25.0),
+ python3-nose,
  python3-os-ken,
  python3-oslo.config,
  python3-oslo.log,

## neutron-tempest-plugin 1.4.0

=== debian/changelog ===
neutron-tempest-plugin (1.4.0-1~bpo11+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-wallaby.debian.net>  Mon, 29 Mar 2021 15:39:28 +0000

neutron-tempest-plugin (1.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Mar 2021 17:36:12 +0200

neutron-tempest-plugin (1.3.0+git.2021.03.25.5ad4e82100-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Mar 2021 13:57:04 +0200

neutron-tempest-plugin (1.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed (build-)depends versions when satisfied in Bullseye.
  * Removed python3-six from (build-)depends as per upstream.

 -- Thomas Goirand <zigo@debian.org>  Thu, 25 Mar 2021 14:19:13 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends:
  debhelper-compat (= 11),
  dh-python,
- openstack-pkg-tools (>= 109~),
+ openstack-pkg-tools,
  python3-all,
  python3-pbr,
  python3-setuptools,
@@ -18,7 +18,7 @@
  python3-eventlet,
  python3-hacking,
  python3-netaddr,
- python3-neutron-lib (>= 1.25.0),
+ python3-neutron-lib (>= 2.10.1),
  python3-nose,
  python3-os-ken,
  python3-oslo.config,
@@ -27,13 +27,12 @@
  python3-oslo.utils,
  python3-oslotest,
  python3-paramiko,
- python3-six,
  python3-stestr,
  python3-tenacity,
  python3-testscenarios,
  python3-testtools,
  subunit,
- tempest,
+ tempest (>= 1:26.0.0),
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/openstack-team/tempest/neutron-tempest-plugin
 Vcs-Git: https://salsa.debian.org/openstack-team/tempest/neutron-tempest-plugin.git
@@ -46,7 +45,7 @@
  python3-debtcollector,
  python3-eventlet,
  python3-netaddr,
- python3-neutron-lib (>= 1.25.0),
+ python3-neutron-lib (>= 2.10.1),
  python3-nose,
  python3-os-ken,
  python3-oslo.config,
@@ -55,11 +54,10 @@
  python3-oslo.utils,
  python3-paramiko,
  python3-pbr,
- python3-six,
  python3-tenacity,
  python3-testscenarios,
  python3-testtools,
- tempest,
+ tempest (>= 1:26.0.0),
  ${misc:Depends},
  ${python3:Depends},
 Provides:

## neutron-tempest-plugin 1.7.0

=== requirements.txt ===
--- 
+++ 
@@ -11,7 +11,6 @@
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
 paramiko>=2.0.0 # LGPLv2.1+
-six>=1.10.0 # MIT
 tempest>=17.1.0 # Apache-2.0
 tenacity>=3.2.1 # Apache-2.0
 ddt>=1.0.1 # MIT

=== doc/requirements.txt ===
reno>=3.1.0 # Apache-2.0
sphinx>=2.0.0,!=2.1.0 # BSD
openstackdocstheme>=2.2.1 # Apache-2.0

=== debian/changelog ===
neutron-tempest-plugin (1.7.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Sep 2021 13:40:37 +0200

neutron-tempest-plugin (1.7.0-1) experimental; urgency=medium

  * New upstream release.
  * (build-)depends on tempest >= 1:29.0.0.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Sep 2021 11:54:04 +0200

neutron-tempest-plugin (1.6.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 Aug 2021 10:49:04 +0200

neutron-tempest-plugin (1.4.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 16:56:06 +0200

=== debian/control ===
--- 
+++ 
@@ -32,7 +32,7 @@
  python3-testscenarios,
  python3-testtools,
  subunit,
- tempest (>= 1:26.0.0),
+ tempest (>= 1:29.0.0),
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/openstack-team/tempest/neutron-tempest-plugin
 Vcs-Git: https://salsa.debian.org/openstack-team/tempest/neutron-tempest-plugin.git
@@ -57,7 +57,7 @@
  python3-tenacity,
  python3-testscenarios,
  python3-testtools,
- tempest (>= 1:26.0.0),
+ tempest (>= 1:29.0.0),
  ${misc:Depends},
  ${python3:Depends},
 Provides:

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #!/usr/bin/make -f
 
+UPSTREAM_GIT := https://opendev.org/openstack/neutron-tempest-plugin
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
@@ -18,7 +19,12 @@
 	echo "Do nothing..."
 
 override_dh_install:
-	pkgos-dh_auto_install --no-py2
+	pkgos-dh_auto_install --no-py2 --in-tmp
+
+ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
+	pkgos-dh_auto_test --no-py2
+endif
+
 	dh_install
 	dh_missing --fail-missing

## neutron-tempest-plugin 1.9.0

=== requirements.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
 paramiko>=2.0.0 # LGPLv2.1+
-tempest>=17.1.0 # Apache-2.0
+tempest>=29.2.0 # Apache-2.0
 tenacity>=3.2.1 # Apache-2.0
 ddt>=1.0.1 # MIT
 nose>=1.3.7 # LGPL

=== debian/changelog ===
neutron-tempest-plugin (1.9.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 27 Mar 2022 14:02:27 +0200

neutron-tempest-plugin (1.9.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed min version of tempest.

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Mar 2022 18:02:19 +0100

neutron-tempest-plugin (1.8.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Mar 2022 08:54:09 +0100

=== debian/control ===
--- 
+++ 
@@ -32,7 +32,7 @@
  python3-testscenarios,
  python3-testtools,
  subunit,
- tempest (>= 1:29.0.0),
+ tempest (>= 1:29.2.0),
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/openstack-team/tempest/neutron-tempest-plugin
 Vcs-Git: https://salsa.debian.org/openstack-team/tempest/neutron-tempest-plugin.git
@@ -57,7 +57,7 @@
  python3-tenacity,
  python3-testscenarios,
  python3-testtools,
- tempest (>= 1:29.0.0),
+ tempest (>= 1:29.2.0),
  ${misc:Depends},
  ${python3:Depends},
 Provides:

## neutron-tempest-plugin 2.0.0

=== requirements.txt ===
--- 
+++ 
@@ -10,11 +10,11 @@
 oslo.log>=3.36.0 # Apache-2.0
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
+packaging>=20.4  # Apache-2.0
 paramiko>=2.0.0 # LGPLv2.1+
 tempest>=29.2.0 # Apache-2.0
 tenacity>=3.2.1 # Apache-2.0
 ddt>=1.0.1 # MIT
-nose>=1.3.7 # LGPL
 testtools>=2.2.0 # MIT
 testscenarios>=0.4 # Apache-2.0/BSD
 eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT

=== debian/changelog ===
neutron-tempest-plugin (2.0.0-2) unstable; urgency=medium

  * Remove build-depends on nose (Closes: #1018421).

 -- Thomas Goirand <zigo@debian.org>  Fri, 04 Nov 2022 14:49:32 +0100

neutron-tempest-plugin (2.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 Sep 2022 09:32:06 +0200

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/neutron-tempest-plugin/tags .*/(\d[brc\d\.]+)\.tar\.gz

## neutron-tempest-plugin 2.2.0

=== debian/changelog ===
neutron-tempest-plugin (2.2.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1047835).

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Aug 2023 15:12:54 +0200

neutron-tempest-plugin (2.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 16:02:46 +0200

neutron-tempest-plugin (2.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 09 Mar 2023 15:19:08 +0100

neutron-tempest-plugin (2.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Feb 2023 10:40:59 +0100

## neutron-tempest-plugin 2.5.0

=== debian/changelog ===
neutron-tempest-plugin (2.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 23:18:21 +0200

neutron-tempest-plugin (2.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 31 Aug 2023 09:18:02 +0200

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,6 @@
  python3-hacking,
  python3-netaddr,
  python3-neutron-lib (>= 2.10.1),
- python3-nose,
  python3-os-ken,
  python3-oslo.config,
  python3-oslo.log,

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,9 @@
 
 override_dh_auto_clean:
 	python3 setup.py clean
+	rm -rf build .stestr *.egg-info tempest.log
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_test:
 	echo "Do nothing..."

## neutron-tempest-plugin 2.7.0

=== requirements.txt ===
--- 
+++ 
@@ -16,6 +16,5 @@
 tenacity>=3.2.1 # Apache-2.0
 ddt>=1.0.1 # MIT
 testtools>=2.2.0 # MIT
-testscenarios>=0.4 # Apache-2.0/BSD
 eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
 debtcollector>=1.2.0 # Apache-2.0

=== debian/changelog ===
neutron-tempest-plugin (2.7.0-3) unstable; urgency=medium

  * Removed runtime depends on nose (Closes: #1070289).

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 May 2024 08:50:59 +0200

neutron-tempest-plugin (2.7.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 07 Apr 2024 22:29:20 +0200

neutron-tempest-plugin (2.7.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-testscenarios from (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 20 Mar 2024 17:08:00 +0100

neutron-tempest-plugin (2.6.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 Feb 2024 10:01:17 +0100

## neutron-tempest-plugin 2.9.0

=== requirements.txt ===
pbr>=3.0.0 # Apache-2.0
neutron-lib>=1.25.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
netaddr>=0.7.18 # BSD
os-ken>=0.3.0 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.serialization>=2.20.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
packaging>=20.4  # Apache-2.0
paramiko>=2.0.0 # LGPLv2.1+
tempest>=29.2.0 # Apache-2.0
tenacity>=3.2.1 # Apache-2.0
ddt>=1.0.1 # MIT
testtools>=2.2.0 # MIT
eventlet>=0.21.0 # MIT
debtcollector>=1.2.0 # Apache-2.0

=== debian/changelog ===
neutron-tempest-plugin (2.9.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 Sep 2024 23:08:01 +0200

neutron-tempest-plugin (2.8.0-3) unstable; urgency=medium

  * Disable tests.

 -- Thomas Goirand <zigo@debian.org>  Sat, 21 Sep 2024 18:16:42 +0200

neutron-tempest-plugin (2.8.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Sep 2024 23:20:16 +0200

neutron-tempest-plugin (2.8.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Aug 2024 09:35:00 +0200

=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,8 @@
 	pkgos-dh_auto_install --no-py2 --in-tmp
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test --no-py2
+	echo "Disabled tests for now."
+#	pkgos-dh_auto_test --no-py2
 endif
 
 	dh_install

## neutron-tempest-plugin 2.11.0

=== debian/changelog ===
neutron-tempest-plugin (2.11.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 21:43:51 +0100

neutron-tempest-plugin (2.11.0-1) experimental; urgency=medium

  * New upstream release.
  * Drop Use-the-admin-client-for-the-QoS-tag-tests.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Mar 2025 17:30:18 +0100

neutron-tempest-plugin (2.10.0-1) experimental; urgency=medium

  * New upstream release.
  * d/watch: switch to version=4 and mode=git.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Mar 2025 15:04:00 +0100

neutron-tempest-plugin (2.9.0-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090446).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 13:49:12 +0100

neutron-tempest-plugin (2.9.0-2) unstable; urgency=medium

  * Add Use-the-admin-client-for-the-QoS-tag-tests.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 02 Dec 2024 13:39:35 +0100

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,6 @@
  python3-paramiko,
  python3-stestr,
  python3-tenacity,
- python3-testscenarios,
  python3-testtools,
  subunit,
  tempest (>= 1:29.2.0),
@@ -45,7 +44,6 @@
  python3-eventlet,
  python3-netaddr,
  python3-neutron-lib (>= 2.10.1),
- python3-nose,
  python3-os-ken,
  python3-oslo.config,
  python3-oslo.log,
@@ -54,7 +52,6 @@
  python3-paramiko,
  python3-pbr,
  python3-tenacity,
- python3-testscenarios,
  python3-testtools,
  tempest (>= 1:29.2.0),
  ${misc:Depends},

## neutron-tempest-plugin 2.12.0

=== debian/changelog ===
neutron-tempest-plugin (2.12.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Sep 2025 08:35:04 +0200

## neutron-tempest-plugin 3.0.0

=== requirements.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 pbr>=3.0.0 # Apache-2.0
-neutron-lib>=1.25.0 # Apache-2.0
+neutron-lib>=3.21.1 # Apache-2.0
 oslo.config>=5.2.0 # Apache-2.0
 netaddr>=0.7.18 # BSD
 os-ken>=0.3.0 # Apache-2.0
@@ -12,5 +12,4 @@
 tenacity>=3.2.1 # Apache-2.0
 ddt>=1.0.1 # MIT
 testtools>=2.2.0 # MIT
-eventlet>=0.21.0 # MIT
 debtcollector>=1.2.0 # Apache-2.0

=== doc/requirements.txt ===
reno>=3.1.0 # Apache-2.0
sphinx>=2.2.0 # BSD
openstackdocstheme>=2.2.1 # Apache-2.0

=== debian/changelog ===
neutron-tempest-plugin (3.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 11:36:16 +0200

neutron-tempest-plugin (3.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-eventlet from (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Sep 2025 22:32:59 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,6 @@
  python3-coverage,
  python3-ddt,
  python3-debtcollector,
- python3-eventlet,
  python3-hacking,
  python3-netaddr,
  python3-neutron-lib (>= 2.10.1),
@@ -41,7 +40,6 @@
 Depends:
  python3-ddt,
  python3-debtcollector,
- python3-eventlet,
  python3-netaddr,
  python3-neutron-lib (>= 2.10.1),
  python3-os-ken,

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3
+	dh $@ --buildsystem=pybuild --with python3
 
 override_dh_auto_clean:
 	python3 setup.py clean

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/neutron-tempest-plugin refs/tags/(\d[brc\d\.]+)
